summaryrefslogtreecommitdiffstats
path: root/audio/dcaenc/dcaenc.SlackBuild
diff options
context:
space:
mode:
author Klaatu <klaatu@member.fsf.org>2016-07-27 00:39:57 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-07-30 08:28:31 +0700
commit01a1f755403187f706160b4cf7f6d47e0a79b2a0 (patch)
treea83531c726edba56c939488825655c65d1b3bfcf /audio/dcaenc/dcaenc.SlackBuild
parent078d56153ea9d0b522a50cb63fa0da751636c950 (diff)
downloadslackbuilds-01a1f755403187f706160b4cf7f6d47e0a79b2a0.tar.gz
slackbuilds-01a1f755403187f706160b4cf7f6d47e0a79b2a0.tar.xz
audio/dcaenc: Added (DTS encoder).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'audio/dcaenc/dcaenc.SlackBuild')
-rw-r--r--audio/dcaenc/dcaenc.SlackBuild89
1 files changed, 89 insertions, 0 deletions
diff --git a/audio/dcaenc/dcaenc.SlackBuild b/audio/dcaenc/dcaenc.SlackBuild
new file mode 100644
index 0000000000..f0d8f60603
--- /dev/null
+++ b/audio/dcaenc/dcaenc.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for dcaenc
+
+# Copyright 2016 Klaatu, Wellington NZ
+# All rights reserved.
+#
+# GNU All Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+PRGNAM=dcaenc
+VERSION=${VERSION:-2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+DOCDIR=${DOCDIR:-/usr/doc/}
+MANDIR=${MANDIR:-/usr/man/}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=$MANDIR \
+ --docdir=$DOCDIR/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/$DOCDIR/$PRGNAM-$VERSION
+cp -a \
+ COPYING README NEWS TODO INSTALL \
+ $PKG/$DOCDIR/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/$DOCDIR/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}